---
title: "Delete a segment"
slug: "delete-a-segment"
abstract: "Describes the request and response details of this Sitecore Send API endpoint to delete a segment in a mailing list."
---
# Delete a segment

`DELETE /lists/{MailingListID}/segments/{SegmentID}/delete.{Format}`

Deletes a segment including its criteria from a specific email list. Deleting a segment does not affect the email list subscribers.

## Request

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| MailingListID | path | string | true | The ID of the email list that contains the segment. |
| SegmentID | path | string | true | The ID of the segment to be deleted. |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |

```http
DELETE https://{hostname}/v3/lists/{MailingListID}/segments/{SegmentID}/delete.{Format}?apikey=
```

```curl
curl --include \\
     --request DELETE \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
'https://{hostname}/v3/lists/{MailingListID}/segments/{SegmentID}/delete.{Format}?apikey='
```

## Response

| Status | Description | Headers | Schema |
| --- | --- | --- | --- |
| 200 OK | The request is successful. | Content-Type:application/jsonAccept:application/json | N/A |

```json
{
  "Code": 0,
  "Error": null,
  "Context": null
}
```

-   `Code` - the response code. This is `0` if successful.
    
-   `Error` - the response error message. This is `null` if successful.
    
-   `Context` - the response context. This is `null` if successful.